Skip to main content
POST
List LinkedIn profile posts

POST /api/v1/platform/scrapers/linkedin/profile-posts

Queue a LinkedIn profile posts scrape.
Returns 202 Accepted with an operationId. Poll GET /api/operations/{id} until status is succeeded to fetch the posts.

Example

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Headers

Idempotency-Key
string

Optional. Reusing the same key for the same organization returns the existing queued profile-posts operation.

Body

application/json
username
string
required
Example:

"some-public-id"

maxPosts
number
default:20
Required range: 1 <= x <= 200

Response

Profile posts scrape accepted. Poll the returned operation URL for results.

data
object
required
meta
object
required